Bug 25176 - Styling problem with checkout form
Summary: Styling problem with checkout form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22999
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-17 11:37 UTC by Owen Leonard
Modified: 2020-05-14 17:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Screenshot of the problem (36.76 KB, image/jpeg)
2020-04-17 11:37 UTC, Owen Leonard
Details
Bug 25176: Fix style of checkout form (1.21 KB, patch)
2020-04-17 11:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25176: Fix style of checkout form (1.26 KB, patch)
2020-04-17 15:06 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25176: Fix style of checkout form (1.32 KB, patch)
2020-04-18 01:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-17 11:37:49 UTC
Created attachment 103145 [details]
Screenshot of the problem

Bug 22999 caused a styling problem with the checkout form. The barcode from and the message about the last checked-out item are no longer the same width.
Comment 1 Owen Leonard 2020-04-17 11:44:35 UTC
Created attachment 103146 [details] [review]
Bug 25176: Fix style of checkout form

This patch makes a small CSS change in order to fix a display problem
with the checkout form where the form's width doesn't match that of the
"last checked out" message.

To test, apply the patch and regenerate the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check an item out to a patron. Confirm that the green-bordered "Checked
out" message under the checkout form matches the width of the form.
Comment 2 David Roberts 2020-04-17 15:06:55 UTC
Created attachment 103170 [details] [review]
Bug 25176: Fix style of checkout form

This patch makes a small CSS change in order to fix a display problem
with the checkout form where the form's width doesn't match that of the
"last checked out" message.

To test, apply the patch and regenerate the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check an item out to a patron. Confirm that the green-bordered "Checked
out" message under the checkout form matches the width of the form.

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 3 Katrin Fischer 2020-04-18 01:20:25 UTC
Created attachment 103186 [details] [review]
Bug 25176: Fix style of checkout form

This patch makes a small CSS change in order to fix a display problem
with the checkout form where the form's width doesn't match that of the
"last checked out" message.

To test, apply the patch and regenerate the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check an item out to a patron. Confirm that the green-bordered "Checked
out" message under the checkout form matches the width of the form.

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-04-20 11:16:58 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-07 21:11:31 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-14 17:30:27 UTC
missing dependencies for 19.05.x, no backport